import { __require as l } from "./index-AxiosError.js";
var r, u;
function _() {
  if (u) return r;
  u = 1;
  var a = l();
  return r = function(e, f, t) {
    var i = t.config.validateStatus;
    !t.status || !i || i(t.status) ? e(t) : f(new a(
      "Request failed with status code " + t.status,
      [a.ERR_BAD_REQUEST, a.ERR_BAD_RESPONSE][Math.floor(t.status / 100) - 4],
      t.config,
      t.request,
      t
    ));
  }, r;
}
export {
  _ as __require
};
